<!doctype html>
<html>
  <head>
    <title>Weiss</title>
    <style type="text/css">
      body {
	font-family: Trebuchet MS, sans-serif;
	font-size: 15px;
	color: #444;
	margin-right: 24px;
}

h1	{
	font-size: 25px;
}
h2	{
	font-size: 20px;
}
h3	{
	font-size: 16px;
	font-weight: bold;
}
hr	{
	height: 1px;
	border: 0;
	color: #ddd;
	background-color: #ddd;
}

.app-desc {
  clear: both;
  margin-left: 20px;
}
.param-name {
  width: 100%;
}
.license-info {
  margin-left: 20px;
}

.license-url {
  margin-left: 20px;
}

.model {
  margin: 0 0 0px 20px;
}

.method {
  margin-left: 20px;
}

.method-notes	{
	margin: 10px 0 20px 0;
	font-size: 90%;
	color: #555;
}

pre {
  padding: 10px;
  margin-bottom: 2px;
}

.http-method {
 text-transform: uppercase;
}

pre.get {
  background-color: #0f6ab4;
}

pre.post {
  background-color: #10a54a;
}

pre.put {
  background-color: #c5862b;
}

pre.delete {
  background-color: #a41e22;
}

.huge	{
	color: #fff;
}

pre.example {
  background-color: #f3f3f3;
  padding: 10px;
  border: 1px solid #ddd;
}

code {
  white-space: pre;
}

.nickname {
  font-weight: bold;
}

.method-path {
  font-size: 1.5em;
  background-color: #0f6ab4;
}

.up {
  float:right;
}

.parameter {
  width: 500px;
}

.param {
  width: 500px;
  padding: 10px 0 0 20px;
  font-weight: bold;
}

.param-desc {
  width: 700px;
  padding: 0 0 0 20px;
  color: #777;
}

.param-type {
  font-style: italic;
}

.param-enum-header {
width: 700px;
padding: 0 0 0 60px;
color: #777;
font-weight: bold;
}

.param-enum {
width: 700px;
padding: 0 0 0 80px;
color: #777;
font-style: italic;
}

.field-label {
  padding: 0;
  margin: 0;
  clear: both;
}

.field-items	{
	padding: 0 0 15px 0;
	margin-bottom: 15px;
}

.return-type {
  clear: both;
  padding-bottom: 10px;
}

.param-header {
  font-weight: bold;
}

.method-tags {
  text-align: right;
}

.method-tag {
  background: none repeat scroll 0% 0% #24A600;
  border-radius: 3px;
  padding: 2px 10px;
  margin: 2px;
  color: #FFF;
  display: inline-block;
  text-decoration: none;
}

    </style>
  </head>
  <body>
  <h1>Weiss</h1>
    <div class="app-desc">API for Sonido</div>
    <div class="app-desc">More information: <a href="https://helloreverb.com">https://helloreverb.com</a></div>
    <div class="app-desc">Contact Info: <a href="hello@helloreverb.com">hello@helloreverb.com</a></div>
    <div class="app-desc">Version: 1</div>
    <div class="app-desc">BasePath:/Cameron-Carra/Weiss/1</div>
    <div class="license-info">All rights reserved</div>
    <div class="license-url">http://apache.org/licenses/LICENSE-2.0.html</div>
  <h2>Access</h2>

  <h2><a name="__Methods">Methods</a></h2>
  [ Jump to <a href="#__Models">Models</a> ]

  <h3>Table of Contents </h3>
  <div class="method-summary"></div>
  <h4><a href="#Artist">Artist</a></h4>
  <ul>
  <li><a href="#artistsGet"><code><span class="http-method">get</span> /artists</code></a></li>
  <li><a href="#artistsIdDelete"><code><span class="http-method">delete</span> /artists/{id}</code></a></li>
  <li><a href="#artistsIdGet"><code><span class="http-method">get</span> /artists/{id}</code></a></li>
  <li><a href="#artistsIdPut"><code><span class="http-method">put</span> /artists/{id}</code></a></li>
  <li><a href="#artistsIdSynonymAddPost"><code><span class="http-method">post</span> /artists/{id}/synonym/add</code></a></li>
  <li><a href="#artistsIdSynonymRemoveDelete"><code><span class="http-method">delete</span> /artists/{id}/synonym/remove</code></a></li>
  <li><a href="#artistsIdSynonymsGet"><code><span class="http-method">get</span> /artists/{id}/synonyms</code></a></li>
  <li><a href="#artistsPost"><code><span class="http-method">post</span> /artists</code></a></li>
  </ul>
  <h4><a href="#Music">Music</a></h4>
  <ul>
  <li><a href="#musicsGet"><code><span class="http-method">get</span> /musics</code></a></li>
  <li><a href="#musicsIdDelete"><code><span class="http-method">delete</span> /musics/{id}</code></a></li>
  <li><a href="#musicsIdGet"><code><span class="http-method">get</span> /musics/{id}</code></a></li>
  <li><a href="#musicsIdPut"><code><span class="http-method">put</span> /musics/{id}</code></a></li>
  <li><a href="#musicsIdSynonymAddPost"><code><span class="http-method">post</span> /musics/{id}/synonym/add</code></a></li>
  <li><a href="#musicsIdSynonymRemoveDelete"><code><span class="http-method">delete</span> /musics/{id}/synonym/remove</code></a></li>
  <li><a href="#musicsIdSynonymsGet"><code><span class="http-method">get</span> /musics/{id}/synonyms</code></a></li>
  <li><a href="#musicsPost"><code><span class="http-method">post</span> /musics</code></a></li>
  <li><a href="#musicsRandomDifficultyGet"><code><span class="http-method">get</span> /musics/random/{difficulty}</code></a></li>
  <li><a href="#musicsRandomGet"><code><span class="http-method">get</span> /musics/random</code></a></li>
  <li><a href="#sourcesIdSynonymAddPost"><code><span class="http-method">post</span> /sources/{id}/synonym/add</code></a></li>
  <li><a href="#sourcesIdSynonymRemoveDelete"><code><span class="http-method">delete</span> /sources/{id}/synonym/remove</code></a></li>
  </ul>
  <h4><a href="#Source">Source</a></h4>
  <ul>
  <li><a href="#sourcesGet"><code><span class="http-method">get</span> /sources</code></a></li>
  <li><a href="#sourcesIdDelete"><code><span class="http-method">delete</span> /sources/{id}</code></a></li>
  <li><a href="#sourcesIdGet"><code><span class="http-method">get</span> /sources/{id}</code></a></li>
  <li><a href="#sourcesIdPut"><code><span class="http-method">put</span> /sources/{id}</code></a></li>
  <li><a href="#sourcesIdSynonymsGet"><code><span class="http-method">get</span> /sources/{id}/synonyms</code></a></li>
  <li><a href="#sourcesPost"><code><span class="http-method">post</span> /sources</code></a></li>
  </ul>
  <h4><a href="#User">User</a></h4>
  <ul>
  <li><a href="#usersGet"><code><span class="http-method">get</span> /users</code></a></li>
  <li><a href="#usersIdDelete"><code><span class="http-method">delete</span> /users/{id}</code></a></li>
  <li><a href="#usersIdGet"><code><span class="http-method">get</span> /users/{id}</code></a></li>
  <li><a href="#usersIdPut"><code><span class="http-method">put</span> /users/{id}</code></a></li>
  <li><a href="#usersLoginPost"><code><span class="http-method">post</span> /users/login</code></a></li>
  <li><a href="#usersPost"><code><span class="http-method">post</span> /users</code></a></li>
  </ul>

  <h1><a name="Artist">Artist</a></h1>
  <div class="method"><a name="artistsGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /artists</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsGet</span>)</div>
    <div class="method-notes">return a list of all the artists</div>








    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned the list of all artists
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while retrieving all the artists
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="artistsIdDelete"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /artists/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsIdDelete</span>)</div>
    <div class="method-notes">delete an artist from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the artist </div>
    </div>  <!-- field-items -->



    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully deleted the artist from his id
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error deleting the artist from his id or failed to authenticate the token
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="artistsIdGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /artists/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsIdGet</span>)</div>
    <div class="method-notes">return an artist from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the artist </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully returned the artist from his id
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error retrieving the artist from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="artistsIdPut"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="put"><code class="huge"><span class="http-method">put</span> /artists/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsIdPut</span>)</div>
    <div class="method-notes">update an artist information from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the artist </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">artist <a href="#artist_1">artist_1</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; artist to update in the database </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully updated the artist from his id
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error updating the artist from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="artistsIdSynonymAddPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /artists/{id}/synonym/add</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsIdSynonymAddPost</span>)</div>
    <div class="method-notes">add a synonym to the artist</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the artist </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">synonym <a href="#string">string</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; synonym to add </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully added a new synonym to the artist
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    Missing the field synonym
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while adding the synonym to the artist
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="artistsIdSynonymRemoveDelete"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /artists/{id}/synonym/remove</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsIdSynonymRemoveDelete</span>)</div>
    <div class="method-notes">remove a artist synonym</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the synonym </div>
    </div>  <!-- field-items -->



    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully removed the synonym
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while removing the synonym
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="artistsIdSynonymsGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /artists/{id}/synonyms</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsIdSynonymsGet</span>)</div>
    <div class="method-notes">return a list of synonyms from the artist</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the artist </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned the list of all synonyms from the artist
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while retrieving all the synonyms from the artist
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="artistsPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /artists</code></pre></div>
    <div class="method-summary"> (<span class="nickname">artistsPost</span>)</div>
    <div class="method-notes">create a new artist</div>



    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">artist <a href="#artist">artist</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; artist to create in the database </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully created a new artist
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    A field is missing
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error creating the artist or Failed to authenticate the token
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <h1><a name="Music">Music</a></h1>
  <div class="method"><a name="musicsGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /musics</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsGet</span>)</div>
    <div class="method-notes">return a list of all the musics</div>








    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned the list of all musics
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while retrieving all the musics
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsIdDelete"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /musics/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsIdDelete</span>)</div>
    <div class="method-notes">delete a music from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the music </div>
    </div>  <!-- field-items -->



    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully deleted the music from his id
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error deleting the music from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsIdGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /musics/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsIdGet</span>)</div>
    <div class="method-notes">return a music from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the music </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully returned the music from his id
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error retrieving the music from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsIdPut"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="put"><code class="huge"><span class="http-method">put</span> /musics/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsIdPut</span>)</div>
    <div class="method-notes">update a music information from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the music </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">music <a href="#music">music</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; music to update in the database </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully updated the music from his id
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error updating the music from his id or failed to authenticate the token
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsIdSynonymAddPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /musics/{id}/synonym/add</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsIdSynonymAddPost</span>)</div>
    <div class="method-notes">add a synonym to the music</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the music </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">synonym <a href="#string">string</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; synonym to add </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully added a new synonym to the music
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    Missing the field synonym
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while adding the synonym to the music
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsIdSynonymRemoveDelete"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /musics/{id}/synonym/remove</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsIdSynonymRemoveDelete</span>)</div>
    <div class="method-notes">remove a music synonym</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the synonym </div>
    </div>  <!-- field-items -->



    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully removed the synonym
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while removing the synonym
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsIdSynonymsGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /musics/{id}/synonyms</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsIdSynonymsGet</span>)</div>
    <div class="method-notes">return a list of synonyms from the music</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the music </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned the list of all synonyms from the music
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while retrieving all the synonyms from the music
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /musics</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsPost</span>)</div>
    <div class="method-notes">create a new music</div>


    <h3 class="field-label">Consumes</h3>
    This API call consumes the following media types via the <span class="header">Content-Type</span> request header:
    <ul>
      <li><code>multipart/form-data</code></li>
    </ul>


    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Form parameters</h3>
    <div class="field-items">
      <div class="param">source_id (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; id of the source </div><div class="param">name (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; name of the music </div><div class="param">sub_category (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; category of the music </div><div class="param">difficulty (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; difficulty of the music </div><div class="param">artists (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; list of id of artists of the music </div><div class="param">music (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; audio file for the music </div><div class="param">image (optional)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; image file for the music </div>
    </div>  <!-- field-items -->


    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully created a new music
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    A field is missing
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error creating the music or failed to authenticate the token
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsRandomDifficultyGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /musics/random/{difficulty}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsRandomDifficultyGet</span>)</div>
    <div class="method-notes">return a random music with a difficulty equal or inferior</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">difficulty (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; difficulty of the music </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">banlist <a href="#integer">integer</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; list of id of musics already played </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully returned a random music with a difficulty equal or inferior
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error retrieving a random music with a difficulty equal or inferior
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="musicsRandomGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /musics/random</code></pre></div>
    <div class="method-summary"> (<span class="nickname">musicsRandomGet</span>)</div>
    <div class="method-notes">return a random music</div>



    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">banlist <a href="#integer">integer</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; list of id of musics already played </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned a random music
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error retrieving a random music
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="sourcesIdSynonymAddPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /sources/{id}/synonym/add</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesIdSynonymAddPost</span>)</div>
    <div class="method-notes">add a synonym to the source</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the source </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">synonym <a href="#string">string</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; synonym to add </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully added a new synonym to the source
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    Missing the field synonym
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while adding the synonym to the source
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="sourcesIdSynonymRemoveDelete"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /sources/{id}/synonym/remove</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesIdSynonymRemoveDelete</span>)</div>
    <div class="method-notes">remove a source synonym</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the synonym </div>
    </div>  <!-- field-items -->



    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully removed the synonym
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while removing the synonym
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <h1><a name="Source">Source</a></h1>
  <div class="method"><a name="sourcesGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /sources</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesGet</span>)</div>
    <div class="method-notes">return a list of all the sources</div>








    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned the list of all sources
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while retrieving all the sources
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="sourcesIdDelete"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /sources/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesIdDelete</span>)</div>
    <div class="method-notes">delete a source from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the source </div>
    </div>  <!-- field-items -->



    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully deleted the source from his id
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error deleting the source from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="sourcesIdGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /sources/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesIdGet</span>)</div>
    <div class="method-notes">return a source from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the source </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully returned the source from his id
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error retrieving the source from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="sourcesIdPut"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="put"><code class="huge"><span class="http-method">put</span> /sources/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesIdPut</span>)</div>
    <div class="method-notes">update a source information from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the source </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">source <a href="#source">source</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; source to update in the database </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully updated the source from his id
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error updating the source from his id or failed to authenticate the token
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="sourcesIdSynonymsGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /sources/{id}/synonyms</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesIdSynonymsGet</span>)</div>
    <div class="method-notes">return a list of synonyms from the source</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the source </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned the list of all synonyms from the source
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while retrieving all the synonyms from the source
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="sourcesPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /sources</code></pre></div>
    <div class="method-summary"> (<span class="nickname">sourcesPost</span>)</div>
    <div class="method-notes">create a new source</div>


    <h3 class="field-label">Consumes</h3>
    This API call consumes the following media types via the <span class="header">Content-Type</span> request header:
    <ul>
      <li><code>multipart/form-data</code></li>
    </ul>


    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Form parameters</h3>
    <div class="field-items">
      <div class="param">name (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; name of the source </div><div class="param">category (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; category of the source </div><div class="param">image (required)</div>

      <div class="param-desc"><span class="param-type">Form Parameter</span> &mdash; image of the source </div>
    </div>  <!-- field-items -->


    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully created a new source
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    A field is missing
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error creating the source or failed to authenticate the token
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <h1><a name="User">User</a></h1>
  <div class="method"><a name="usersGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /users</code></pre></div>
    <div class="method-summary"> (<span class="nickname">usersGet</span>)</div>
    <div class="method-notes">return a list of all the users</div>








    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned the list of all users
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Some Error occured while retrieving all the users
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="usersIdDelete"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /users/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">usersIdDelete</span>)</div>
    <div class="method-notes">delete a user from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the user </div>
    </div>  <!-- field-items -->



    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully deleted the user from his id
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error deleting the user from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="usersIdGet"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /users/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">usersIdGet</span>)</div>
    <div class="method-notes">return a user from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the user </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Succesfully returned the user from his id
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error retrieving the user from his id
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="usersIdPut"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="put"><code class="huge"><span class="http-method">put</span> /users/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">usersIdPut</span>)</div>
    <div class="method-notes">update a user information from his id</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the user </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">user <a href="#user_1">user_1</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; user to update in the database </div>

    </div>  <!-- field-items -->

    <h3 class="field-label">Request headers</h3>
    <div class="field-items">
      <div class="param">x-access-token (required)</div>

      <div class="param-desc"><span class="param-type">Header Parameter</span> &mdash; token to authenticate </div>
    </div>  <!-- field-items -->




    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully updated the user from his id
        <a href="#"></a>
    <h4 class="field-label">401</h4>
    No token provided
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error updating the user from his id or failed to authenticate the token
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="usersLoginPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /users/login</code></pre></div>
    <div class="method-summary"> (<span class="nickname">usersLoginPost</span>)</div>
    <div class="method-notes">get a token to authenticate to the api</div>



    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">user <a href="#user_2">user_2</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; user to login </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully returned a token to authenticate
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    A field is missing
        <a href="#"></a>
    <h4 class="field-label">403</h4>
    Invalid email or password
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error trying to authenticate
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="usersPost"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /users</code></pre></div>
    <div class="method-summary"> (<span class="nickname">usersPost</span>)</div>
    <div class="method-notes">create a new user</div>



    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">user <a href="#user">user</a> (optional)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; user to create in the database </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successfully created a new user
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    A field is missing
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Error creating the user
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>

  <h2><a name="__Models">Models</a></h2>
  [ Jump to <a href="#__Methods">Methods</a> ]

  <h3>Table of Contents</h3>
  <ol>
    <li><a href="#artist"><code>artist</code> - </a></li>
    <li><a href="#artist_1"><code>artist_1</code> - </a></li>
    <li><a href="#music"><code>music</code> - </a></li>
    <li><a href="#source"><code>source</code> - </a></li>
    <li><a href="#user"><code>user</code> - </a></li>
    <li><a href="#user_1"><code>user_1</code> - </a></li>
    <li><a href="#user_2"><code>user_2</code> - </a></li>
  </ol>

  <div class="model">
    <h3><a name="artist"><code>artist</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">name </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="artist_1"><code>artist_1</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">name (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="music"><code>music</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">source_id (optional)</div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  </div>
<div class="param">name (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">url (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">sub_category (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">difficulty (optional)</div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="source"><code>source</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">name (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">image (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">category (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="user"><code>user</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">username </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">email </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">password </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="user_1"><code>user_1</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">username (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">email (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">password (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="user_2"><code>user_2</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">email </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">password </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  </body>
</html>
